Name:           python-bidscoin
Version:        4.6.1
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Converts and organises raw MRI data-sets according to the Brain Imaging Data Structure (BIDS)

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        GPL-3.0-or-later
URL:            https://github.com/Donders-Institute/bidscoin
Source:         %{pypi_source bidscoin}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'bidscoin' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-bidscoin
Summary:        %{summary}

%description -n python3-bidscoin %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-bidscoin all,dcm2niix2bids,deface,dev,extras,spec2nii2bids


%prep
%autosetup -p1 -n bidscoin-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x all,dcm2niix2bids,deface,dev,extras,spec2nii2bids


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-bidscoin -f %{pyproject_files}


%changelog
%autochangelog